﻿Type=Activity
Version=6
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: False
#End Region

Sub Process_Globals

End Sub

Sub Globals
	Dim txtUserID As EditText
	Dim txtPassword As EditText
	Dim txtFullName As EditText
	Dim txtLocation As EditText 
	Dim txtEmail As EditText
End Sub
'سورس از اولین مرجع تخصصی برنامه نویسی بیسیک در ایران دانلود شده است
'Www.Basic4X.IR
'کانال تلگرامی ما @Basic4X
Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("frmRegister")
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub btnRegister_Click
	Dim strUserID As String = txtUserID.Text.Trim
	If strUserID = "" Then
		Msgbox("لطفا نام کاربری خود را وارد نماید.", "خطا")
		Return
	End If	
	Dim strPassword As String = txtPassword.Text.Trim 
	If strPassword = "" Then
		Msgbox("لطفا پسورد را وارد کنید", "خطا")
		Return
	End If
	Dim strFullName As String = txtFullName.Text.Trim
	If strFullName = "" Then
		Msgbox("لطفا نام کامل خود را وارد کنید.", "خطا")
		Return
	End If
	Dim strLocation As String = txtLocation.Text.Trim
	If strLocation = "" Then
		Msgbox("لطفا محل سکونت خود را وارد کنید.", "خطا")
		Return
	End If
	Dim strEmail As String = txtEmail.Text.Trim
	If strEmail = "" Then
		Msgbox("لطفا ایمیل را وارد کنید", "خطا")
		Return
	End If	
	If Validate_Email(strEmail) = False Then
		Msgbox("فرمت ایمیل نامناسب می باشد", "خطا")
		Return
	End If	
	
    Dim Register As HttpJob
    Register.Initialize("Register", Me)
    Register.Download2("http://app.basic4x.ir/reg/RegNM.php", _
      Array As String("Action", "Register", _
	  "UserID", txtUserID.Text, _
	  "Password", txtPassword.Text, _
	  "FullName", txtFullName.Text, _
	  "Location", txtLocation.text, _
	  "Email", txtEmail.Text))
	ProgressDialogShow("اتصال به سرور...")
End Sub

Sub JobDone (Job As HttpJob)
    ProgressDialogHide
    If Job.Success Then
    Dim res As String, action As String
    	res = Job.GetString
		Dim parser As JSONParser
        parser.Initialize(res)
                
        Select Job.JobName
            Case "Register"
                action = parser.NextValue
                If action = "Mail" Then
                    Msgbox("ایمیل حاوی اطلاعات ثبت نام ارسال شده به  " & txtEmail.Text & ". ثبت نام شما با موفقیت انجام شد", "ثبت نام")
					Activity.Finish
				Else If action = "MailInUse" Then
                    Msgbox("نام کاربری  '" & txtUserID.Text & "' یا ایمیل  (" & txtEmail.Text & ") قبلا استفاده شده", "ثبت نام")
				Else
					Msgbox("نتیجه ای در بر نداشت", "ثبت نام")
                End If
		End Select
	Else
		ToastMessageShow("Error: " & Job.ErrorMessage, True)
	End If
	Job.Release	
End Sub

Sub Validate_Email(EmailAddress As String) As Boolean
    Dim MatchEmail As Matcher = Regex.Matcher("^(?i)[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])$", EmailAddress)
 
    If MatchEmail.Find = True Then
        Return True
    Else
        Return False
    End If
End Sub